/*
 * Copyright (C) 2025, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: liuliang <liuliang@kylinos.cn>
 *
 */

#include "demoservice2.h"
#include <QVariant>

DemoService2::DemoService2(QObject *parent)
    : UKUI::ServiceObject{parent}
{
    setProperty("demo2sub", QVariant::fromValue(this));
    setProperty("demo2sub2", QVariant::fromValue(this));
}

void DemoService2::test2()
{
    emit called2();
}

int DemoService2::testGetInt2()
{
    emit called2();

    return 2;
}
